$(window).load(function() {
	$(".loader").delay(300).fadeOut();
	$(".animationload").delay(600).fadeOut("slow");
});

var conctionSuccess = "<div class='alert alert-success' role='alert'><b>Conexão com o concentrador estabelecida com sucesso.</b></div>";
		var conctionFail = "<div class='alert alert-danger' role='alert'><b>Falha ao tentar estabelecer a conexão com o concentrador.</b></div>";
		var messageFail = "<div class='alert alert-danger' role='alert'><b>Ocorreu uma falha de conexão com o concentrador ou a mensagem enviada está incorreta.</b></div>";
		var messageSuccess = "<div class='alert alert-success' role='alert'><b>Mensagem enviada com sucesso.</b></div>";
		var conctionUrlFail = "<div class='alert alert-warning' role='alert'><b>Favor verificar o endereço de conexão com o concentrador.</b></div>";
		// Formulário de teste de conexão
		$("#testForm").submit(function(event) {
			$(".loader").delay(600).fadeIn();
			$(".animationload").delay(300).fadeIn("slow");
			var posting = $.ajax({
				url: $("input#serverUrl").val(),
				type: "POST",
				crossDomain: true,
				data: { data: "<CrossTalk_Message> <CrossTalk_Header> <ProcessCode>1008</ProcessCode> <MessageType>103</MessageType> <ExchangePattern>1</ExchangePattern> <SourceId>" + $("input#sourceId").val() + "</SourceId> <GUID>3799b701-2944-455e-8ea4-213f6dc7f8ac</GUID> <DateTime>2016-03-15T11:20:45.18-03:00</DateTime> <EnterpriseId>NDDigital</EnterpriseId> <ContentType>text/csv</ContentType> <ContentEncoding>utf-8</ContentEncoding> </CrossTalk_Header> <CrossTalk_Body>compressed#MzAAAmtjPUMDa2d/v+BQnxBHv1Bf1yB/P/8QR14uQ7C0gZmRqamZpRGQbWhgbG0IAAAA</CrossTalk_Body> </CrossTalk_Message>" },
				dataType: "xml"
			});
			posting.fail( function( xhr, status ) {
				$("#testResult").empty().append( conctionFail );
				closeAlert();
			});
			posting.success( function( xhr, status ) {
				$("#testResult").empty().append( conctionSuccess );
				closeAlert();
			});
			closeLoader();
			return false;
		});

		//formulário de envio para o concentrador
		$("#postForm").submit(function(event) {
			if($("input#serverUrl").val().length == 0){
				$("button#submitTest").click();
				$("#postResult").empty().append( conctionUrlFail );
			}else{
				$(".loader").delay(600).fadeIn();
				$(".animationload").delay(300).fadeIn("slow");
				var posting = $.ajax({
					url: $("input#serverUrl").val(),
					type: "POST",
					crossDomain: true,
					data: { data:  $("textarea#msgEnvio").val() },
					dataType: "xml"
				});
				posting.done( function( dataResult ) {
					$("#postResult").empty().append( messageSuccess );
					$("textarea#msgResposta").val(posting.responseText);
					closeAlert();
				});
				posting.fail( function( xhr, status ) {
					$("#postResult").empty().append( messageFail );
					closeAlert();
				});
				posting.success( function( xhr, status ) {
					$("#postResult").empty().append( messageSuccess );
					closeAlert();
				});
			}
			closeLoader();
			return false;
		});

		// $("#formCompress").submit(function(event) {
		// 	var deflator = RawDeflate.deflate($("textarea#msgInflate").val());
		// 	var deflateBase64 = $.base64.encode(deflator);
		// 	$("textarea#msgDeflate").val(deflateBase64);
		// 	return false;
		// })
		//
		// $("#formDecompress").submit(function(event) {
		// 	var inflator = new Inflator(new Base64Reader($("textarea#msgDeflate").val()));
		// 	var textReader = new TextReader(new Utf8Translator(inflator));
		// 	$("textarea#msgInflate").val(textReader.readToEnd());
		// 	return false;
		// })

		$('#btnCompress').on('click', function(event) {
			var deflator = RawDeflate.deflate($("textarea#msgInflate").val());
			var deflateBase64 = $.base64.encode(deflator);
			$("textarea#msgDeflate").val(deflateBase64);
			return false;
		});

		$('#btnDecompress').on('click', function(event) {
			var inflator = new Inflator(new Base64Reader($("textarea#msgDeflate").val()));
			var textReader = new TextReader(new Utf8Translator(inflator));
			$("textarea#msgInflate").val(textReader.readToEnd());
			return false;
		});

		function closeAlert(){
			$(".alert").fadeTo(4000, 1000).slideUp(1000, function(){
				$(".alert").alert('close');
			});
		}

		function closeLoader(){
			$(".loader").delay(550).fadeOut();
			$(".animationload").delay(600).fadeOut("slow");
		}
