var logoForms = {
  logoCentralBematech: "{[start]}{[fontType]}{[init]}{[positionLeft]}{[charset]}{[lineSpacing0]}{STARTDATA}{STARTHEADER}{[positionCenter]}{[logoImage]}{[positionLeft]}{[startBold]}{EMIT_XNOME}{[lineBreaks]}{EMIT_CNPJ}{[lineBreaks]}{EMIT_IE}{EMIT_IM}{[lineBreaks]}{[endBold]}{EMIT_ENDEREMIT}{[lineBreaks]}{[drawnLine]}{[lineBreaks]}{ENDHEADER}",
  logoEsquerdaBematech: "{[start]}{[fontType]}{[init]}{[positionLeft]}{[charset]}{[lineSpacing0]}{STARTDATA}{STARTHEADER}{[logoImage]}{EMIT_XNOME}{EMIT_CNPJ}{EMIT_IE}{EMIT_IM}{EMIT_ENDEREMIT}{ENDHEADER}{[lineBreaks]}{[drawnLine]}{[lineBreaks]}",

  logoCentralDaruma: "{[start]}{[lineSpacingDefaul]}{[lineSpacing0]}{[positionCenter]}{STARTDATA}{STARTHEADER}{[logoImage]}{[positionLeft]}{[startBold]}{EMIT_XNOME}{[lineBreaks]}{EMIT_CNPJ}{[lineBreaks]}{EMIT_IE}{EMIT_IM}{[lineBreaks]}{[endBold]}{EMIT_ENDEREMIT}{[lineBreaks]}{[drawnLine]}{[lineBreaks]}{ENDHEADER}",
  logoEsquerdaDaruma: "{[start]}{[lineSpacingDefaul]}{[lineSpacing0]}{STARTDATA}{STARTHEADER}{[positionLeft]}{[logoImage]}{[startBold]}{EMIT_XNOME}{EMIT_CNPJ}{EMIT_IE}{EMIT_IM}{[endBold]}{EMIT_ENDEREMIT}{[drawnLine]}{[lineBreaks]}{ENDHEADER}",

  logoCentralEpson: "{[start]}{[fontType]}{STARTDATA}{STARTHEADER}{[positionCenter]}{[logoImage]}{[positionLeft]}{[startBold]}{EMIT_XNOME}{[lineBreaks]}{EMIT_CNPJ}{[lineBreaks]}{EMIT_IE}{EMIT_IM}{[lineBreaks]}{[endBold]}{EMIT_ENDEREMIT}{[lineBreaks]}{[drawnLine]}{[lineBreaks]}{ENDHEADER}",
  logoEsquerdaEpson:"{[start]}{[fontType]}{STARTDATA}{STARTHEADER}{[positionLeft]}{[logoImage]}{EMIT_XNOME}{EMIT_CNPJ}{EMIT_IE}{EMIT_IM}{EMIT_ENDEREMIT}{ENDHEADER}",

  logoCentralSweda:  "{[start]}{[fontType]}{[charset]}{[charSizeDefault]}{[lineSpacingDefault]}{STARTDATA}{STARTHEADER}{[positionCenter]}{[logoImage]}{[positionLeft]}{[startBold]}{EMIT_XNOME}{[lineBreaks]}{EMIT_CNPJ}{[lineBreaks]}{EMIT_IE}{EMIT_IM}{[lineBreaks]}{[endBold]}{EMIT_ENDEREMIT}{[lineBreaks]}{[drawnLine]}{ENDHEADER}",
  logoEsquerdaSweda: "{[start]}{[fontType]}{[charset]}{[charSizeDefault]}{[lineSpacingDefault]}{[positionCenter]}{STARTDATA}{STARTHEADER}{[logoImage]}{EMIT_XNOME}{EMIT_CNPJ}{EMIT_IE}{EMIT_IM}{EMIT_ENDEREMIT}{[drawnLine]}{ENDHEADER}",

  semLogoBematech: "{[start]}{[fontType]}{[init]}{[positionLeft]}{[charset]}{[lineSpacing0]}{STARTDATA}{STARTHEADER}{[positionCenter]}{[lineBreaks]}{[positionLeft]}{[startBold]}{EMIT_XNOME}{[lineBreaks]}{EMIT_CNPJ}{[lineBreaks]}{EMIT_IE}{EMIT_IM}{[lineBreaks]}{[endBold]}{EMIT_ENDEREMIT}{[lineBreaks]}{[drawnLine]}{[lineBreaks]}{ENDHEADER}",
  semLogoDaruma: "{[start]}{[lineSpacingDefaul]}{[lineSpacing0]}{[positionCenter]}{STARTDATA}{STARTHEADER}{[lineBreaks]}{[positionLeft]}{[startBold]}{EMIT_XNOME}{[lineBreaks]}{EMIT_CNPJ}{[lineBreaks]}{EMIT_IE}{EMIT_IM}{[lineBreaks]}{[endBold]}{EMIT_ENDEREMIT}{[lineBreaks]}{[drawnLine]}{[lineBreaks]}{ENDHEADER}",
  semLogoEpson: "{[start]}{[fontType]}{STARTDATA}{STARTHEADER}{[positionCenter]}{[lineBreaks]}{[positionLeft]}{[startBold]}{EMIT_XNOME}{[lineBreaks]}{EMIT_CNPJ}{[lineBreaks]}{EMIT_IE}{EMIT_IM}{[lineBreaks]}{[endBold]}{EMIT_ENDEREMIT}{[lineBreaks]}{[drawnLine]}{[lineBreaks]}{ENDHEADER}",
  semLogoSweda: "{[start]}{[fontType]}{STARTDATA}{STARTHEADER}{[positionCenter]}{[lineBreaks]}{[positionLeft]}{[startBold]}{EMIT_XNOME}{[lineBreaks]}{EMIT_CNPJ}{[lineBreaks]}{EMIT_IE}{EMIT_IM}{[lineBreaks]}{[endBold]}{EMIT_ENDEREMIT}{[lineBreaks]}{[drawnLine]}{[lineBreaks]}{ENDHEADER}"
};

var produtosSwedaForms = {
  codigoDescricaoValorTotal: "{[lineBreaks]}{[startBold]}{Codigo#12}{Descricao#32}{12#V.Total(R$)}{[lineBreaks]}{[endBold]}{STARTPRODUCT}{PROD_CPROD#12}{PROD_XPROD#32}{#PROD_VPROD}{[lineBreaks]}{DADOSADICPROD}{ENDPRODUCT}",
  codigoDescricaoQuantidadeValorTotal: "{[lineBreaks]}{[startBold]}{Codigo#11}{Descricao#44}{[lineBreaks]}{Qtd#11}{V.Total(R$)#44}{[endBold]}{[lineBreaks]}{STARTPRODUCT}{PROD_CPROD#11}{PROD_XPROD#44}{[lineBreaks]}{PROD_QCOM#11}{PROD_VPROD#10}{[lineBreaks]}{DADOSADICPROD}{ENDPRODUCT}",
  codigoDescricaoQuantidadeUnidadeValorUnitarioValorTotal: "{[lineBreaks]}{[startBold]}{Codigo#11}{Descricao#44}{[lineBreaks]}{Qtd#11}{Unid.#6}{V.Unit(R$)#10}{28#V.Total(R$)}{[endBold]}{[lineBreaks]}{STARTPRODUCT}{PROD_CPROD#11}{PROD_XPROD#42}{[lineBreaks]}{PROD_QCOM#11}{PROD_UCOM#4}{12#PROD_VUNCOM}{#PROD_VPROD}{[lineBreaks]}{DADOSADICPROD}{ENDPRODUCT}",
  codigoDescricaoQuantidadeUnidadeValorUnitarioValorDescontoValorTotal: "{[lineBreaks]}{[startBold]}{Codigo#11}{Descricao#}{[lineBreaks]}{Quantidade#11}{Unid.#5}{12#V.Unit(R$)}{12#V.Desc(R$)}{#V.Total(R$)}{[endBold]}{STARTPRODUCT}{PROD_CPROD#11}{PROD_XPROD#42}{[lineBreaks]}{PROD_QCOM#13}{PROD_UCOM#9}{PROD_VUNCOM#14}{PROD_VUNDESC#12}{#PROD_VPROD}{[lineBreaks]}{DADOSADICPROD}{ENDPRODUCT}",
  codigoDescricaoQuantidadeUnidadeValorUnitarioValorTributarioValorTotal: "{[lineBreaks]}{[startBold]}{Codigo#11}{Descricao#}{[lineBreaks]}{Quantidade#11}{Unid.#5}{12#V.Unit(R$)}{12#V.Trib(R$)}{#V.Total(R$)}{[endBold]}{STARTPRODUCT}{PROD_CPROD#11}{PROD_XPROD#42}{[lineBreaks]}{PROD_QCOM#13}{PROD_UCOM#9}{PROD_VUNCOM#14}{PROD_VUNTRIB#12}{#PROD_VPROD}{[lineBreaks]}{DADOSADICPROD}{ENDPRODUCT}",
  codigoDescricaoQuantidadeUnidadeValorUnitarioValorDescontoValorTributarioValorTotal: "{[lineBreaks]}{[startBold]}{Codigo#12}{Descricao#}{[lineBreaks]}{Qtd.#5}{Unid.#5}{11#V.Unit(R$)}{12#V.Desc(R$)}{11#V.Tr(R$)*}{12#V.Total(R$)}{[lineBreaks]}{[endBold]}{STARTPRODUCT}{PROD_CPROD#12}{PROD_XPROD#44}{[lineBreaks]}{PROD_QCOM#5}{5#PROD_UCOM}{11#PROD_VUNCOM}{12#PROD_VUNDESC}{11#PROD_VUNTRIB}{#PROD_VPROD}{[lineBreaks]}{DADOSADICPROD}{ENDPRODUCT}"
};

var produtosDarumaForms = {
  codigoDescricaoValorTotal: "{[lineBreaks]}{[startCondensed]}{[startBold]}{Codigo#12}{Descricao#32}{12#V.Total(R$)}{[lineBreaks]}{[endBold]}{STARTPRODUCT}{PROD_CPROD#12}{PROD_XPROD#32}{#PROD_VPROD}{[lineBreaks]}{DADOSADICPROD}{ENDPRODUCT}",
  codigoDescricaoQuantidadeValorTotal: "{[lineBreaks]}{[startCondensed]}{[startBold]}{Codigo#12}{Descricao#55}{[lineBreaks]}{Quantidade#11}{12#V.Total(R$)}{[endBold]}{[lineBreaks]}{STARTPRODUCT}{PROD_CPROD#12}{PROD_XPROD#44}{[lineBreaks]}{PROD_QCOM#12}{11#PROD_VPROD}{[lineBreaks]}{DADOSADICPROD}{ENDPRODUCT}",
  codigoDescricaoQuantidadeUnidadeValorUnitarioValorTotal: "{[lineBreaks]}{[startCondensed]}{[startBold]}{Codigo#13}{Descricao#44}{[lineBreaks]}{Quantidade#13}{Unidade#8}{14#V.Unit(R$)}{#V.Total(R$)}{[endBold]}{[lineBreaks]}{STARTPRODUCT}{PROD_CPROD#13}{PROD_XPROD#44}{[lineBreaks]}{PROD_QCOM#13}{PROD_UCOM#8}{14#PROD_VUNCOM}{#PROD_VPROD}{[lineBreaks]}{DADOSADICPROD}{ENDPRODUCT}",
  codigoDescricaoQuantidadeUnidadeValorUnitarioValorDescontoValorTotal: "{[lineBreaks]}{[startCondensed]}{[startBold]}{Codigo#13}{Descricao#44}{[lineBreaks]}{Quantidade#13}{Unid.#5}{12#V.Unit(R$)}{12#V.Desc(R$)}{15#V.Total(R$)}{[endBold]}{[lineBreaks]}{STARTPRODUCT}{PROD_CPROD#13}{PROD_XPROD#44}{[lineBreaks]}{PROD_QCOM#13}{PROD_UCOM#5}{12#PROD_VUNCOM}{12#PROD_VUNDESC}{15#PROD_VPROD}{[lineBreaks]}{DADOSADICPROD}{ENDPRODUCT}",
  codigoDescricaoQuantidadeUnidadeValorUnitarioValorTributarioValorTotal: "{[lineBreaks]}{[startCondensed]}{[startBold]}{Codigo#13}{Descricao#44}{[lineBreaks]}{Quantidade#13}{Unid.#5}{12#V.Unit(R$)}{12#V.Trib(R$)}{15#V.Total(R$)}{[endBold]}{[lineBreaks]}{STARTPRODUCT}{PROD_CPROD#13}{PROD_XPROD#44}{[lineBreaks]}{PROD_QCOM#13}{PROD_UCOM#5}{12#PROD_VUNCOM}{12#PROD_VUNTRIB}{15#PROD_VPROD}{[lineBreaks]}{DADOSADICPROD}{ENDPRODUCT}",
  codigoDescricaoQuantidadeUnidadeValorUnitarioValorDescontoValorTributarioValorTotal: "{[lineBreaks]}{[startCondensed]}{[startBold]}{Codigo#11}{Descricao#46}{[lineBreaks]}{Qtd.#11}{Un.#4}{10#V.Unit(R$)}{11#V.Desc(R$)}{9#V.Tr(R$)}{12#V.Tot(R$)}{[lineBreaks]}{[endBold]}{STARTPRODUCT}{PROD_CPROD#11}{PROD_XPROD#46}{[lineBreaks]}{PROD_QCOM#11}{PROD_UCOM#4}{10#PROD_VUNCOM}{11#PROD_VUNDESC}{9#PROD_VUNTRIB}{12#PROD_VPROD}{[lineBreaks]}{DADOSADICPROD}{ENDPRODUCT}"
};

var produtosBematechForms = {
  codigoDescricaoValorTotal: "{[lineBreaks]}{[startCondensed]}{[startBold]}{Codigo#12}{Descricao#41}{#V.Total(R$)}{[lineBreaks]}{[endBold]}{STARTPRODUCT}{PROD_CPROD#12}{PROD_XPROD#41}{#PROD_VPROD}{[lineBreaks]}{DADOSADICPROD}{ENDPRODUCT}",
  codigoDescricaoQuantidadeValorTotal: "{[lineBreaks]}{[startCondensed]}{[startBold]}{Codigo#12}{Descricao#}{[lineBreaks]}{Quantidade#12}{V.Total(R$)#}{[endBold]}{[lineBreaks]}{STARTPRODUCT}{PROD_CPROD#12}{PROD_XPROD#55}{[lineBreaks]}{PROD_QCOM#12}{PROD_VPROD#12}{[lineBreaks]}{DADOSADICPROD}{ENDPRODUCT}",
  codigoDescricaoQuantidadeUnidadeValorUnitarioValorTotal: "{[lineBreaks]}{[startCondensed]}{[startBold]}{Codigo#12}{Descricao#54}{[lineBreaks]}{Quantidade#12}{Unid.#7}{24#V.Unit(R$)}{23#V.Total(R$)}{[endBold]}{[lineBreaks]}{STARTPRODUCT}{PROD_CPROD#12}{PROD_XPROD#55}{[lineBreaks]}{PROD_QCOM#12}{PROD_UCOM#7}{24#PROD_VUNCOM}{23#PROD_VPROD}{[lineBreaks]}{DADOSADICPROD}{ENDPRODUCT}",
  codigoDescricaoQuantidadeUnidadeValorUnitarioValorDescontoValorTotal: "{[lineBreaks]}{[startCondensed]}{[startBold]}{Codigo#12}{Descricao#}{[lineBreaks]}{Quantidade#12}{Unid.#7}{13#V.Unit(R$)}{15#V.Desc(R$)}{#V.Total(R$)}{[lineBreaks]}{[endBold]}{STARTPRODUCT}{PROD_CPROD#12}{PROD_XPROD#54}{[lineBreaks]}{PROD_QCOM#12}{PROD_UCOM#7}{13#PROD_VUNCOM}{15#PROD_VUNDESC}{#PROD_VPROD}{[lineBreaks]}{DADOSADICPROD}{ENDPRODUCT}",
  codigoDescricaoQuantidadeUnidadeValorUnitarioValorTributarioValorTotal: "{[lineBreaks]}{[startCondensed]}{[startBold]}{Codigo#12}{Descricao#}{[lineBreaks]}{Quantidade#12}{Unid.#7}{13#V.Unit(R$)}{15#V.Tr(R$)}{#V.Total(R$)}{[lineBreaks]}{[endBold]}{STARTPRODUCT}{PROD_CPROD#12}{PROD_XPROD#54}{[lineBreaks]}{PROD_QCOM#12}{PROD_UCOM#7}{13#PROD_VUNCOM}{15#PROD_VUNTRIB}{#PROD_VPROD}{[lineBreaks]}{DADOSADICPROD}{ENDPRODUCT}",
  codigoDescricaoQuantidadeUnidadeValorUnitarioValorDescontoValorTributarioValorTotal: "{[lineBreaks]}{[startCondensed]}{[startBold]}{Codigo#12}{Descricao#}{[lineBreaks]}{Qtd.#6}{Unid.#7}{13#V.Unit(R$)}{13#V.Desc(R$)}{13#V.Tr(R$)*}{#V.Total(R$)}{[lineBreaks]}{[endBold]}{STARTPRODUCT}{PROD_CPROD#12}{PROD_XPROD#54}{[lineBreaks]}{PROD_QCOM#6}{PROD_UCOM#7}{13#PROD_VUNCOM}{13#PROD_VUNDESC}{13#PROD_VUNTRIB}{#PROD_VPROD}{[lineBreaks]}{DADOSADICPROD}{ENDPRODUCT}"
};

var produtosEpsonForms = {
  codigoDescricaoValorTotal: "{[startCondensed]}{[startBold]}{Codigo#12}{Descricao#37}{14#V.Total(R$)}{[lineBreaks]}{[endBold]}{STARTPRODUCT}{PROD_CPROD#12}{PROD_XPROD#37}{PROD_VPROD#14}{[lineBreaks]}{DADOSADICPROD}{ENDPRODUCT}",
  codigoDescricaoQuantidadeValorTotal: "{[startCondensed]}{[startBold]}{Codigo#11}{Descricao#44}{[lineBreaks]}{Qtd#11}{V.Total(R$)#32}{[endBold]}{[lineBreaks]}{STARTPRODUCT}{PROD_CPROD#11}{PROD_XPROD#50}{[lineBreaks]}{PROD_QCOM#11}{PROD_VPROD#32}{[lineBreaks]}{DADOSADICPROD}{ENDPRODUCT}",
  codigoDescricaoQuantidadeUnidadeValorUnitarioValorTotal: "{[startCondensed]}{[startBold]}{Codigo#11}{Descricao#44}{[lineBreaks]}{Qtd#6}{Unid.#6}{12#V.Unit(R$)}{12#V.Total(R$)}{[endBold]}{[lineBreaks]}{STARTPRODUCT}{PROD_CPROD#11}{PROD_XPROD#42}{[lineBreaks]}{PROD_QCOM#6}{PROD_UCOM#6}{PROD_VUNCOM#12}{PROD_VPROD#12}{[lineBreaks]}{DADOSADICPROD}{ENDPRODUCT}",
  codigoDescricaoQuantidadeUnidadeValorUnitarioValorDescontoValorTotal: "{[startCondensed]}{[startBold]}{Codigo}{Descricao}{[lineBreaks]}{Quantidade}{Unid.}{V.Unit(R$)}{V.Desc(R$)}{V.Total(R$)}{[lineBreaks]}{[endBold]}{STARTPRODUCT}{PROD_CPROD#11}{PROD_XPROD#42}{[lineBreaks]}{PROD_QCOM#6}{PROD_UCOM#5}{PROD_VUNCOM#13}{PROD_VUNDESC#14}{PROD_VUNTRIB#12}{PROD_VPROD#13}{[lineBreaks]}{DADOSADICPROD}{ENDPRODUCT}",
  codigoDescricaoQuantidadeUnidadeValorUnitarioValorTributarioValorTotal: "{[startCondensed]}{[startBold]}{Codigo}{Descricao}{[lineBreaks]}{Quantidade}{Unid.}{V.Unit(R$)}{V.Tr(R$)}{V.Total(R$)}{[lineBreaks]}{[endBold]}{STARTPRODUCT}{PROD_CPROD#11}{PROD_XPROD#42}{[lineBreaks]}{PROD_QCOM#10}{PROD_UCOM#8}{PROD_VUNCOM#16}{PROD_VUNTRIB#14}{PROD_VPROD#16}{[lineBreaks]}{DADOSADICPROD}{ENDPRODUCT}",
  codigoDescricaoQuantidadeUnidadeValorUnitarioValorDescontoValorTributarioValorTotal: "{[startCondensed]}{[startBold]}{Codigo}{Descricao}{[lineBreaks]}{Qtd.}{Unid.}{V.Unit(R$)}{V.Desc(R$)}{V.Tr(R$)}{V.Total(R$)}{[endBold]}{STARTPRODUCT}{PROD_CPROD#11}{PROD_XPROD#42}{[lineBreaks]}{PROD_QCOM#6}{PROD_UCOM#5}{PROD_VUNCOM#13}{PROD_VUNDESC#14}{PROD_VUNTRIB#12}{PROD_VPROD#13}{[lineBreaks]}{DADOSADICPROD}{ENDPRODUCT}"
};

var totaisDarumaForms = {
  qtdVprodVtotFpagDtotalVpago: "{[endCondensed]}{[drawnLine]}{[lineBreaks]}{[startBold]}{STARTTOTAL}{QTD.TOTAL DE ITENS}{#DET_NITEM}{[lineBreaks]}{VALOR TOTAL DOS PRODUTOS R$}{#TOTAL_VPROD}{[lineBreaks]}{VALOR TOTAL R$}{#TOTAL_VNF}{[lineBreaks]}{ENDTOTAL}{FORMA DE PAGAMENTO}{#VALOR PAGO}{[lineBreaks]}{STARTPAYMENT}{PAG_TPPAG}{#PAG_VPAG}{[lineBreaks]}{ENDPAYMENT}{STARTTOTALPAYMENT}{VALOR PAGO R$}{#PAG_VPAGTOTAL}{[lineBreaks]}{DESCONTO}{#VDESCONTO}{[lineBreaks]}{TROCO}{#ADIC_TROCO}{[lineBreaks]}{ENDTOTALPAYMENT}{[endBold]}{STARTTOTALTRIB}{Informacao dos Tributos Totais}{#TOTAL_VTTOTTRIB}{[lineBreaks]}{ENDTOTALTRIB}{[startCondensed]}{Incidentes R$ (Lei Federal 12.741/2012)}{[lineBreaks]}{[endCondensed]}{[drawnLine]}{[lineBreaks]}{[startCondensed]}{[positionCenter]}{INFADIC_INFCPL}{[lineBreaks]}",
  qtdVtotFpagDtotalVpago: "{[endCondensed]}{[drawnLine]}{[lineBreaks]}{[startBold]}{STARTTOTAL}{QTD.TOTAL DE ITENS}{#DET_NITEM}{[lineBreaks]}{VALOR TOTAL R$}{#TOTAL_VNF}{[lineBreaks]}{ENDTOTAL}{FORMA DE PAGAMENTO}{#VALOR PAGO}{[lineBreaks]}{STARTPAYMENT}{PAG_TPPAG}{#PAG_VPAG}{[lineBreaks]}{ENDPAYMENT}{STARTTOTALPAYMENT}{VALOR PAGO R$}{#PAG_VPAGTOTAL}{[lineBreaks]}{DESCONTO}{#VDESCONTO}{[lineBreaks]}{TROCO}{#ADIC_TROCO}{[lineBreaks]}{ENDTOTALPAYMENT}{[endBold]}{STARTTOTALTRIB}{Informacao dos Tributos Totais}{#TOTAL_VTTOTTRIB}{[lineBreaks]}{ENDTOTALTRIB}{[startCondensed]}{Incidentes R$ (Lei Federal 12.741/2012)}{[lineBreaks]}{[endCondensed]}{[drawnLine]}{[lineBreaks]}{[startCondensed]}{[positionCenter]}{INFADIC_INFCPL}{[lineBreaks]}",
  vTotFpagDtotalVpago:  "{[endCondensed]}{[drawnLine]}{[lineBreaks]}{[startBold]}{STARTTOTAL}{VALOR TOTAL R$}{#TOTAL_VNF}{[lineBreaks]}{ENDTOTAL}{FORMA DE PAGAMENTO}{#VALOR PAGO}{[lineBreaks]}{STARTPAYMENT}{PAG_TPPAG}{#PAG_VPAG}{[lineBreaks]}{ENDPAYMENT}{STARTTOTALPAYMENT}{VALOR PAGO R$}{#PAG_VPAGTOTAL}{[lineBreaks]}{DESCONTO}{#VDESCONTO}{[lineBreaks]}{TROCO}{#ADIC_TROCO}{[lineBreaks]}{ENDTOTALPAYMENT}{[endBold]}{STARTTOTALTRIB}{Informacao dos Tributos Totais}{#TOTAL_VTTOTTRIB}{[lineBreaks]}{ENDTOTALTRIB}{[startCondensed]}{Incidentes R$ (Lei Federal 12.741/2012)}{[lineBreaks]}{[endCondensed]}{[drawnLine]}{[lineBreaks]}{[startCondensed]}{[positionCenter]}{INFADIC_INFCPL}{[lineBreaks]}",
  qtdVprodVtotDtotalVpago: "{[endCondensed]}{[drawnLine]}{[lineBreaks]}{[startBold]}{STARTTOTAL}{QTD.TOTAL DE ITENS}{#DET_NITEM}{[lineBreaks]}{VALOR TOTAL DOS PRODUTOS R$}{#TOTAL_VPROD}{[lineBreaks]}{VALOR TOTAL R$}{#TOTAL_VNF}{[lineBreaks]}{ENDTOTAL}{STARTTOTALPAYMENT}{VALOR PAGO R$}{#PAG_VPAGTOTAL}{[lineBreaks]}{DESCONTO}{#VDESCONTO}{[lineBreaks]}{TROCO}{#ADIC_TROCO}{[lineBreaks]}{ENDTOTALPAYMENT}{[endBold]}{STARTTOTALTRIB}{Informacao dos Tributos Totais}{#TOTAL_VTTOTTRIB}{[lineBreaks]}{ENDTOTALTRIB}{[startCondensed]}{Incidentes R$ (Lei Federal 12.741/2012)}{[lineBreaks]}{[endCondensed]}{[drawnLine]}{[lineBreaks]}{[startCondensed]}{[positionCenter]}{INFADIC_INFCPL}{[lineBreaks]}"
};

var totaisBematechForms = {
  qtdVprodVtotFpagDtotalVpago: "{[endCondensed]}{[drawnLine]}{[lineBreaks]}{[startBold]}{STARTTOTAL}{QTD. TOTAL DE ITENS}{#DET_NITEM}{[lineBreaks]}{VALOR TOTAL DOS PRODUTOS R$}{#TOTAL_VPROD}{[lineBreaks]}{VALOR TOTAL R$}{#TOTAL_VNF}{[lineBreaks]}{ENDTOTAL}{FORMA DE PAGAMENTO}{#VALOR PAGO}{[lineBreaks]}{STARTPAYMENT}{PAG_TPPAG}{#PAG_VPAG}{[lineBreaks]}{ENDPAYMENT}{STARTTOTALPAYMENT}{VALOR PAGO R$}{#PAG_VPAGTOTAL}{[lineBreaks]}{DESCONTO}{#VDESCONTO}{[lineBreaks]}{TROCO}{#ADIC_TROCO}{[lineBreaks]}{ENDTOTALPAYMENT}{[endBold]}{STARTTOTALTRIB}{Informacao dos Tributos Totais}{#TOTAL_VTTOTTRIB}{[lineBreaks]}{ENDTOTALTRIB}{[startCondensed]}{Incidentes R$ (Lei Federal n 12.741/2012)}{[lineBreaks]}{[endCondensed]}{[drawnLine]}{[lineBreaks]}{[startCondensed]}{[positionCenter]}{INFADIC_INFCPL}{[lineBreaks]}",
  qtdVtotFpagDtotalVpago: "{[endCondensed]}{[drawnLine]}{[lineBreaks]}{[startBold]}{STARTTOTAL}{QTD. TOTAL DE ITENS}{#DET_NITEM}{[lineBreaks]}{VALOR TOTAL R$}{#TOTAL_VNF}{[lineBreaks]}{ENDTOTAL}{FORMA DE PAGAMENTO}{#VALOR PAGO}{[lineBreaks]}{STARTPAYMENT}{PAG_TPPAG}{#PAG_VPAG}{[lineBreaks]}{ENDPAYMENT}{STARTTOTALPAYMENT}{VALOR PAGO R$}{#PAG_VPAGTOTAL}{[lineBreaks]}{DESCONTO}{#VDESCONTO}{[lineBreaks]}{TROCO}{#ADIC_TROCO}{[lineBreaks]}{ENDTOTALPAYMENT}{[endBold]}{STARTTOTALTRIB}{Informacao dos Tributos Totais}{#TOTAL_VTTOTTRIB}{[lineBreaks]}{ENDTOTALTRIB}{[startCondensed]}{Incidentes R$ (Lei Federal n 12.741/2012)}{[lineBreaks]}{[endCondensed]}{[drawnLine]}{[lineBreaks]}{[startCondensed]}{[positionCenter]}{INFADIC_INFCPL}{[lineBreaks]}",
  vTotFpagDtotalVpago: "{[endCondensed]}{[drawnLine]}{[lineBreaks]}{[startBold]}{STARTTOTAL}{VALOR TOTAL R$}{#TOTAL_VNF}{[lineBreaks]}{ENDTOTAL}{FORMA DE PAGAMENTO}{#VALOR PAGO}{[lineBreaks]}{STARTPAYMENT}{PAG_TPPAG}{#PAG_VPAG}{[lineBreaks]}{ENDPAYMENT}{STARTTOTALPAYMENT}{VALOR PAGO R$}{#PAG_VPAGTOTAL}{[lineBreaks]}{DESCONTO}{#VDESCONTO}{[lineBreaks]}{TROCO}{#ADIC_TROCO}{[lineBreaks]}{ENDTOTALPAYMENT}{[endBold]}{STARTTOTALTRIB}{Informacao dos Tributos Totais}{#TOTAL_VTTOTTRIB}{[lineBreaks]}{ENDTOTALTRIB}{[startCondensed]}{Incidentes R$ (Lei Federal n 12.741/2012)}{[lineBreaks]}{[endCondensed]}{[drawnLine]}{[lineBreaks]}{[startCondensed]}{[positionCenter]}{INFADIC_INFCPL}{[lineBreaks]}",
  qtdVprodVtotDtotalVpago: "{[endCondensed]}{[drawnLine]}{[lineBreaks]}{[startBold]}{STARTTOTAL}{QTD. TOTAL DE ITENS}{#DET_NITEM}{[lineBreaks]}{VALOR TOTAL DOS PRODUTOS R$}{#TOTAL_VPROD}{[lineBreaks]}{VALOR TOTAL R$}{#TOTAL_VNF}{[lineBreaks]}{ENDTOTAL}{STARTTOTALPAYMENT}{VALOR PAGO R$}{#PAG_VPAGTOTAL}{[lineBreaks]}{DESCONTO}{#VDESCONTO}{[lineBreaks]}{TROCO}{#ADIC_TROCO}{[lineBreaks]}{ENDTOTALPAYMENT}{[endBold]}{STARTTOTALTRIB}{Informacao dos Tributos Totais}{#TOTAL_VTTOTTRIB}{[lineBreaks]}{ENDTOTALTRIB}{[startCondensed]}{Incidentes R$ (Lei Federal n 12.741/2012)}{[lineBreaks]}{[endCondensed]}{[drawnLine]}{[lineBreaks]}{[startCondensed]}{[positionCenter]}{INFADIC_INFCPL}{[lineBreaks]}"
};

var totaisEpsonForms = {
  qtdVprodVtotFpagDtotalVpago: "{[endCondensed]}{[drawnLine]}{[lineBreaks]}{[startBold]}{STARTTOTAL}{QTD. TOTAL DE ITENS}{#DET_NITEM}{[lineBreaks]}{VALOR TOTAL DOS PRODUTOS R$}{#TOTAL_VPROD}{[lineBreaks]}{VALOR TOTAL R$}{#TOTAL_VNF}{[lineBreaks]}{ENDTOTAL}{FORMA DE PAGAMENTO}{VALOR PAGO}{[lineBreaks]}{STARTPAYMENT}{PAG_TPPAG}{PAG_VPAG}{[lineBreaks]}{ENDPAYMENT}{STARTTOTALPAYMENT}{VALOR PAGO R$}{PAG_VPAGTOTAL}{[lineBreaks]}{DESCONTO}{#VDESCONTO}{[lineBreaks]}{TROCO}{#ADIC_TROCO}{[lineBreaks]}{ENDTOTALPAYMENT}{[endBold]}{STARTTOTALTRIB}{Informacao dos Tributos Totais}{#TOTAL_VTTOTTRIB}{[lineBreaks]}{ENDTOTALTRIB}{[startCondensed]}{Incidentes R$ (Lei Federal n 12.741/2012)}{[lineBreaks]}{[endCondensed]}{[drawnLine]}{[lineBreaks]}{[startCondensed]}{[positionCenter]}{INFADIC_INFCPL}{[lineBreaks]}",
  qtdVtotFpagDtotalVpago: "{[endCondensed]}{[drawnLine]}{[lineBreaks]}{[startBold]}{STARTTOTAL}{QTD. TOTAL DE ITENS}{#DET_NITEM}{[lineBreaks]}{VALOR TOTAL R$}{#TOTAL_VNF}{[lineBreaks]}{ENDTOTAL}{FORMA DE PAGAMENTO#31}{VALOR PAGO}{[lineBreaks]}{STARTPAYMENT}{PAG_TPPAG}{PAG_VPAG}{[lineBreaks]}{ENDPAYMENT}{STARTTOTALPAYMENT}{VALOR PAGO R$#29}{PAG_VPAGTOTAL}{[lineBreaks]}{DESCONTO}{#VDESCONTO}{[lineBreaks]}{TROCO}{#ADIC_TROCO}{[lineBreaks]}{ENDTOTALPAYMENT}{[endBold]}{STARTTOTALTRIB}{Informacao dos Tributos Totais}{#TOTAL_VTTOTTRIB}{[lineBreaks]}{ENDTOTALTRIB}{[startCondensed]}{Incidentes R$ (Lei Federal n 12.741/2012)}{[lineBreaks]}{[endCondensed]}{[drawnLine]}{[lineBreaks]}{[startCondensed]}{[positionCenter]}{INFADIC_INFCPL}{[lineBreaks]}",
  vTotFpagDtotalVpago:  "{[endCondensed]}{[drawnLine]}{[lineBreaks]}{[startBold]}{STARTTOTAL}{VALOR TOTAL R$}{#TOTAL_VNF}{[lineBreaks]}{ENDTOTAL}{FORMA DE PAGAMENTO#31}{VALOR PAGO}{[lineBreaks]}{STARTPAYMENT}{PAG_TPPAG}{PAG_VPAG}{[lineBreaks]}{ENDPAYMENT}{STARTTOTALPAYMENT}{VALOR PAGO R$#29}{PAG_VPAGTOTAL}{[lineBreaks]}{DESCONTO}{#VDESCONTO}{[lineBreaks]}{TROCO}{#ADIC_TROCO}{[lineBreaks]}{ENDTOTALPAYMENT}{[endBold]}{STARTTOTALTRIB}{Informacao dos Tributos Totais}{#TOTAL_VTTOTTRIB}{[lineBreaks]}{ENDTOTALTRIB}{[startCondensed]}{Incidentes R$ (Lei Federal n 12.741/2012)}{[lineBreaks]}{[endCondensed]}{[drawnLine]}{[lineBreaks]}{[startCondensed]}{[positionCenter]}{INFADIC_INFCPL}{[lineBreaks]}",
  qtdVprodVtotDtotalVpago: "{[endCondensed]}{[drawnLine]}{[lineBreaks]}{[startBold]}{STARTTOTAL}{QTD. TOTAL DE ITENS}{#DET_NITEM}{[lineBreaks]}{VALOR TOTAL DOS PRODUTOS R$}{#TOTAL_VPROD}{[lineBreaks]}{VALOR TOTAL R$}{#TOTAL_VNF}{[lineBreaks]}{ENDTOTAL}{FORMA DE PAGAMENTO#31}{VALOR PAGO}{[lineBreaks]}{STARTPAYMENT}{PAG_TPPAG}{PAG_VPAG}{[lineBreaks]}{ENDPAYMENT}{[endBold]}{STARTTOTALTRIB}{Informacao dos Tributos Totais}{#TOTAL_VTTOTTRIB}{[lineBreaks]}{ENDTOTALTRIB}{[startCondensed]}{Incidentes R$ (Lei Federal n 12.741/2012)}{[lineBreaks]}{[endCondensed]}{[drawnLine]}{[lineBreaks]}{[startCondensed]}{[positionCenter]}{INFADIC_INFCPL}{[lineBreaks]}"
};

var totaisSwedaForms = {
  qtdVprodVtotFpagDtotalVpago: "{[drawnLine]}{[lineBreaks]}{[startBold]}{STARTTOTAL}{[fontType]}{[positionLeft]}{QTD. TOTAL DE ITENS}{#DET_NITEM}{[lineBreaks]}{VALOR TOTAL DOS PRODUTOS R$}{#TOTAL_VPROD}{[lineBreaks]}{VALOR TOTAL R$}{#TOTAL_VNF}{[lineBreaks]}{ENDTOTAL}{FORMA DE PAGAMENTO}{#VALOR PAGO}{[lineBreaks]}{STARTPAYMENT}{PAG_TPPAG}{#PAG_VPAG}{[lineBreaks]}{ENDPAYMENT}{STARTTOTALPAYMENT}{VALOR PAGO R$}{#PAG_VPAGTOTAL}{[lineBreaks]}{DESCONTO}{#VDESCONTO}{[lineBreaks]}{TROCO}{#ADIC_TROCO}{[lineBreaks]}{ENDTOTALPAYMENT}{[endBold]}{STARTTOTALTRIB}{Informacao dos Tributos Totais}{#TOTAL_VTTOTTRIB}{[lineBreaks]}{ENDTOTALTRIB}{[startCondensed]}{Incidentes R$ (Lei Federal n 12.741/2012)}{[lineBreaks]}{[drawnLine]}{[lineBreaks]}{[positionCenter]}{INFADIC_INFCPL}{[lineBreaks]}",
  qtdVtotFpagDtotalVpago: "{[drawnLine]}{[lineBreaks]}{[startBold]}{STARTTOTAL}{[fontType]}{[positionLeft]}{QTD. TOTAL DE ITENS}{#DET_NITEM}{[lineBreaks]}{VALOR TOTAL R$}{#TOTAL_VNF}{[lineBreaks]}{ENDTOTAL}{FORMA DE PAGAMENTO}{#VALOR PAGO}{[lineBreaks]}{STARTPAYMENT}{PAG_TPPAG}{#PAG_VPAG}{[lineBreaks]}{ENDPAYMENT}{STARTTOTALPAYMENT}{VALOR PAGO R$}{#PAG_VPAGTOTAL}{[lineBreaks]}{DESCONTO}{#VDESCONTO}{[lineBreaks]}{TROCO}{#ADIC_TROCO}{[lineBreaks]}{ENDTOTALPAYMENT}{[endBold]}{STARTTOTALTRIB}{Informacao dos Tributos Totais}{#TOTAL_VTTOTTRIB}{[lineBreaks]}{ENDTOTALTRIB}{[startCondensed]}{Incidentes R$ (Lei Federal n 12.741/2012)}{[lineBreaks]}{[drawnLine]}{[lineBreaks]}{[positionCenter]}{INFADIC_INFCPL}{[lineBreaks]}",
  vTotFpagDtotalVpago:  "{[drawnLine]}{[lineBreaks]}{[startBold]}{STARTTOTAL}{[fontType]}{[positionLeft]}{VALOR TOTAL R$}{#TOTAL_VNF}{[lineBreaks]}{ENDTOTAL}{FORMA DE PAGAMENTO}{#VALOR PAGO}{[lineBreaks]}{STARTPAYMENT}{PAG_TPPAG}{#PAG_VPAG}{[lineBreaks]}{ENDPAYMENT}{STARTTOTALPAYMENT}{VALOR PAGO R$}{#PAG_VPAGTOTAL}{[lineBreaks]}{DESCONTO}{#VDESCONTO}{[lineBreaks]}{TROCO}{#ADIC_TROCO}{[lineBreaks]}{ENDTOTALPAYMENT}{[endBold]}{STARTTOTALTRIB}{Informacao dos Tributos Totais}{#TOTAL_VTTOTTRIB}{[lineBreaks]}{ENDTOTALTRIB}{[startCondensed]}{Incidentes R$ (Lei Federal n 12.741/2012)}{[lineBreaks]}{[drawnLine]}{[lineBreaks]}{[positionCenter]}{INFADIC_INFCPL}{[lineBreaks]}",
  qtdVprodVtotDtotalVpago: "{[drawnLine]}{[lineBreaks]}{[startBold]}{STARTTOTAL}{[fontType]}{[positionLeft]}{QTD. TOTAL DE ITENS}{#DET_NITEM}{[lineBreaks]}{VALOR TOTAL DOS PRODUTOS R$}{#TOTAL_VPROD}{[lineBreaks]}{VALOR TOTAL R$}{#TOTAL_VNF}{[lineBreaks]}{ENDTOTAL}{FORMA DE PAGAMENTO}{#VALOR PAGO}{[lineBreaks]}{STARTPAYMENT}{PAG_TPPAG}{#PAG_VPAG}{[lineBreaks]}{ENDPAYMENT}{[endBold]}{STARTTOTALTRIB}{Informacao dos Tributos Totais}{#TOTAL_VTTOTTRIB}{[lineBreaks]}{ENDTOTALTRIB}{[startCondensed]}{Incidentes R$ (Lei Federal n 12.741/2012)}{[lineBreaks]}{[drawnLine]}{[lineBreaks]}{[positionCenter]}{INFADIC_INFCPL}{[lineBreaks]}"
};

var consumidorForms = { //Igual para daruma/bematech/epson
  consumidor: "{[positionLeft]}{[drawnLine]}{[lineBreaks]}{[positionCenter]}{[startBold]}{CONSUMIDOR}{[lineBreaks]}{MSG_CONSUMIDOR}{[lineBreaks]}{DEST_CNPJ_CPF}{[lineBreaks]}{[endBold]}{[positionLeft]}{[startCondensed]}{DEST_XNOME}{[lineBreaks]}{DEST_ENDERDEST}{[lineBreaks]}{[endCondensed]}{[drawnLine]}{[lineBreaks]}"
};

var consumidorFormsSweda = { //Igual para daruma/bematech/epson
  consumidor: "{[positionLeft]}{[drawnLine]}{[lineBreaks]}{[positionCenter]}{[startBold]}{CONSUMIDOR}{[lineBreaks]}{MSG_CONSUMIDOR}{[lineBreaks]}{DEST_CNPJ_CPF}{[lineBreaks]}{[endBold]}{[positionLeft]}{DEST_XNOME}{[lineBreaks]}{DEST_ENDERDEST}{[lineBreaks]}{[drawnLine]}{[lineBreaks]}"
};

var rodapeForms = { //Igual para daruma/bematech/epson
  rodape: "{[positionCenter]}{[startCondensed]}{Consulta via leitor de QRCode}{[endCondensed]}{[qrCodePrefix]}{[startCondensed]}{PROT_AUT}{DH_AUT}{[lineBreaks]}{[endCondensed]}"
};

var rodapeFormsSweda = { //Igual para daruma/bematech/epson
  rodape: "{[positionCenter]}{Consulta via leitor de QRCode}{[lineBreaks]}{[qrCodePrefix]}{PROT_AUT}{DH_AUT}"
};

var dadosAdicCentral = { //Igual para daruma/bematech/epson
  comAdicCentral: "{DADOSADICCENTRAL}"
};

var dadosAdicRodapeForms = { //Igual para bematech/epson/Sweda
  dadosAdicRodape:    "{[dataAdic]}{ENDDATA}{DADOSADICRODAPE}{DADOSADICTMPRODAPE}{[EXECOMMAND]}",
  semDadosAdicRodape: "{[dataAdic]}{ENDDATA}{[EXECOMMAND]}"
};

var dadosAdicRodapeDarumaForms = {
  dadosAdicRodape: "{[dataAdic]}{ENDDATA}{DADOSADICRODAPE}{DADOSADICTMPRODAPE}{[EXECOMMAND]}",
  semDadosAdicRodape: "{[dataAdic]}{ENDDATA}{[lineBreaks]}{[EXECOMMAND]}"
};

var dadosAdicRodapeSwedaForms = {
  dadosAdicRodape: "{[dataAdic]}{ENDDATA}{DADOSADICRODAPE}{DADOSADICTMPRODAPE}{[EXECOMMAND]}",
  semDadosAdicRodape: "{[dataAdic]}{ENDDATA}{[lineBreaks]}{[EXECOMMAND]}"
};

var fiscalDarumaForms = { //Grupo fiscal
  comCOODaruma: "{[lineBreaks]}{[positionLeft]}{[endCondensed]}{[drawnLine]}{[lineBreaks]}{[positionCenter]}{[startBold]}{MSG_FISCAL}{[lineBreaks]}{[endBold]}{[startCondensed]}{NUM_COO}{9#Numero: }{IDE_NNF}{8#Serie: }{IDE_SERIE}{[lineBreaks]}{Emissao:}{IDE_DHEMI}{[lineBreaks]}{MSG_VIA}{[lineBreaks]}{Consulte pela Chave de Acesso em:}{[lineBreaks]}{END_SEFAZ}{[lineBreaks]}{[endCondensed]}{[startBold]}{CHAVE DE ACESSO}{[lineBreaks]}{[endBold]}{[startCondensed]}{INFNFE_ID}{[lineBreaks]}{[endCondensed]}",
  semCOODaruma: "{[lineBreaks]}{[positionLeft]}{[endCondensed]}{[drawnLine]}{[lineBreaks]}{[positionCenter]}{[startBold]}{MSG_FISCAL}{[lineBreaks]}{[endBold]}{[startCondensed]}{9#Numero: }{IDE_NNF}{8#Serie: }{IDE_SERIE}{[lineBreaks]}{Emissao: }{IDE_DHEMI}{[lineBreaks]}{MSG_VIA}{[lineBreaks]}{Consulte pela Chave de Acesso em:}{[lineBreaks]}{END_SEFAZ}{[lineBreaks]}{[endCondensed]}{[startBold]}{CHAVE DE ACESSO}{[lineBreaks]}{[endBold]}{[startCondensed]}{INFNFE_ID}{[lineBreaks]}{[endCondensed]}"
};

var fiscalBematechForms = {
  comCOOBema: "{[lineBreaks]}{[positionLeft]}{[endCondensed]}{[drawnLine]}{[lineBreaks]}{[positionCenter]}{[startBold]}{MSG_FISCAL}{[lineBreaks]}{[endBold]}{[startCondensed]}{NUM_COO}{9#Numero: }{IDE_NNF}{8#Serie: }{IDE_SERIE}{[lineBreaks]}{Emissao: }{IDE_DHEMI}{[lineBreaks]}{MSG_VIA}{[lineBreaks]}{Consulte pela Chave de Acesso em:}{[lineBreaks]}{END_SEFAZ}{[lineBreaks]}{[endCondensed]}{[startBold]}{CHAVE DE ACESSO}{[lineBreaks]}{[endBold]}{[startCondensed]}{INFNFE_ID}{[lineBreaks]}{[endCondensed]}",
  semCOOBema: "{[lineBreaks]}{[positionLeft]}{[endCondensed]}{[drawnLine]}{[lineBreaks]}{[positionCenter]}{[startBold]}{MSG_FISCAL}{[lineBreaks]}{[endBold]}{[startCondensed]}{9#Numero: }{IDE_NNF}{8#Serie: }{IDE_SERIE}{[lineBreaks]}{Emissao: }{IDE_DHEMI}{[lineBreaks]}{MSG_VIA}{[lineBreaks]}{Consulte pela Chave de Acesso em:}{[lineBreaks]}{END_SEFAZ}{[lineBreaks]}{[endCondensed]}{[startBold]}{CHAVE DE ACESSO}{[lineBreaks]}{[endBold]}{[startCondensed]}{INFNFE_ID}{[lineBreaks]}{[endCondensed]}"
};

var fiscalEpsonForms = {
  comCOOEpson: "{[lineBreaks]}{[positionLeft]}{[drawnLine]}{[lineBreaks]}{[positionCenter]}{[startBold]}{MSG_FISCAL}{[lineBreaks]}{[endBold]}{NUM_COO}{9#Numero: }{IDE_NNF}{8#Serie: }{IDE_SERIE}{[lineBreaks]}{Emissao: }{IDE_DHEMI}{[lineBreaks]}{MSG_VIA}{[lineBreaks]}{Consulte pela Chave de Acesso em:}{[lineBreaks]}{END_SEFAZ}{[lineBreaks]}{[startBold]}{CHAVE DE ACESSO}{[lineBreaks]}{[endBold]}{INFNFE_ID}{[lineBreaks]}",
  semCOOEpson: "{[lineBreaks]}{[positionLeft]}{[drawnLine]}{[lineBreaks]}{[positionCenter]}{[startBold]}{MSG_FISCAL}{[lineBreaks]}{[endBold]}{9#Numero: }{IDE_NNF}{8#Serie: }{IDE_SERIE}{[lineBreaks]}{Emissao: }{IDE_DHEMI}{[lineBreaks]}{MSG_VIA}{[lineBreaks]}{Consulte pela Chave de Acesso em:}{[lineBreaks]}{END_SEFAZ}{[lineBreaks]}{[startBold]}{CHAVE DE ACESSO}{[lineBreaks]}{[endBold]}{INFNFE_ID}{[lineBreaks]}"
};

var outrasForms = {
  sat: "",
  nfce:      "{[positionCenter]}{[startBold]}{[startCondensed]}{DANFE NFC-e Documento Auxiliar da Nota Fiscal de Consumidor Eletronica.}{[lineBreaks]}{Nao permite aproveitamento de creditos ICMS}{[lineBreaks]}{[endBold]}{[endCondensed]}{[positionLeft]}{[drawnLine]}",
  nfceEpson: "{[positionCenter]}{[startBold]}{[startCondensed]}{DANFE NFC-e Documento Auxiliar da Nota Fiscal de Consumidor Eletronica.}{[lineBreaks]}{Nao permite aproveitamento de creditos ICMS}{[lineBreaks]}{[endBold]}{[endCondensed]}{[positionLeft]}{[drawnLine]}",
  nfceSweda: "{[lineBreaks]}{[positionCenter]}{[startBold]}{[startCondensed]}{DANFE NFC-e Documento Auxiliar da Nota Fiscal de Consumidor Eletronica.}{[lineBreaks]}{Nao permite aproveitamento de creditos ICMS}{[endBold]}{[lineBreaks]}{[drawnLine]}{[positionLeft]}"

};
