var tipoImpressora;
var tipoFormulario;
var tipoCabecalho;
var tipoForm;
var comandos = [];
var firstTime = true;
var initConfig = true;


function nomeArquivo(){
	var tipo = tipoFormulario == "nfce" ? "Nfce"
	: tipoForm == "cancelamento" ? "SatC"
	: "SatE";

	var impressora = tipoImpressora == "bematech" ? "101"
	: tipoImpressora == "daruma" ? "102"
	: tipoImpressora == "epson" ? "103"
	: "104";

	var cabecalho = tipoCabecalho == "central" ? "LCP2"
	: "LEP2";

	return tipo + "#" + impressora + "#" + cabecalho + ".FRM";
}

function startComponents(){
	$('#tipopicker').selectpicker('hide');
}


function GravaArquivo(){
	var blob = new Blob([comandos.toString().replace(/,/g,"")], {type: "text/plain;charset=utf-8"});
	saveAs(blob, nomeArquivo());
}

function uploadForm(){

}

function geraFormularioCabecalho(instrucao){
	switch (instrucao) {
		case "grupoLogo01": // Logo centralizado
		if(tipoForm == "cancelamento"){
			comandos[0] = tipoImpressora == "daruma" ? logFormsCanc.logoCentralDaruma
			: tipoImpressora == "bematech" ? logFormsCanc.logoCentralBematech
			: tipoImpressora == "epson" ? logFormsCanc.logoCentralEpson
			: logFormsCanc.logoCentralSweda;
			tipoCabecalho = "central";
		} else {
			if(tipoFormulario == "sat"){
				comandos[0] = tipoImpressora == "daruma" ? logFormsSat.logoCentralDaruma
				: tipoImpressora == "bematech" ? logFormsSat.logoCentralBematech
				: tipoImpressora == "epson" ? logFormsSat.logoCentralEpson
				: logFormsSat.logoCentralSweda;
				tipoCabecalho = "central";
			} else {
				comandos[0] = tipoImpressora == "daruma" ? logoForms.logoCentralDaruma
				: tipoImpressora == "bematech" ? logoForms.logoCentralBematech
				: tipoImpressora == "epson" ? logoForms.logoCentralEpson
				: logoForms.logoCentralSweda;
				tipoCabecalho = "central";
			}
		}
		break;
		case "grupoLogo02":  // Logo esquerda
		if(tipoForm == "cancelamento"){
			comandos[0] = tipoImpressora == "daruma" ? logFormsCanc.logoEsquerdaDaruma
			: tipoImpressora == "bematech" ? logFormsCanc.logoEsquerdaBematech
			: tipoImpressora == "epson" ? logFormsCanc.logoEsquerdaEpson
			: logFormsCanc.logoEsquerdaSweda;
			tipoCabecalho = "esquerda";
		} else {
			if (tipoFormulario == "sat"){
				comandos[0] = tipoImpressora == "daruma" ? logFormsSat.logoEsquerdaDaruma
				: tipoImpressora == "bematech" ? logFormsSat.logoEsquerdaBematech
				: tipoImpressora == "epson" ? logFormsSat.logoEsquerdaEpson
				: logFormsSat.logoEsquerdaSweda
				tipoCabecalho = "esquerda";
			} else {
				comandos[0] = tipoImpressora == "daruma" ? logoForms.logoEsquerdaDaruma
				: tipoImpressora == "bematech" ? logoForms.logoEsquerdaBematech
				: tipoImpressora == "epson" ? logoForms.logoEsquerdaEpson
				: logoForms.logoEsquerdaSweda;
				tipoCabecalho = "esquerda";
			}
		}
		break;
		case "grupoLogo03": // Sem logo
		comandos[0] = tipoImpressora == "daruma" ? logoForms.semLogoDaruma
		: tipoImpressora == "bematech" ? logoForms.semLogoBematech
		: tipoImpressora == "epson" ? logoForms.semLogoEpson
		: logoForms.semLogoSweda;
	}
}

function geraFormularioProdutos(instrucao){
	switch (instrucao) {
		case "grupoProduto01": //Código - Descrição - Valor total (1 linha)
		comandos[2] = tipoImpressora == "daruma" ?  produtosDarumaForms.codigoDescricaoValorTotal
		: tipoImpressora == "bematech" ? produtosBematechForms.codigoDescricaoValorTotal
		: tipoImpressora == "epson" ? produtosEpsonForms.codigoDescricaoValorTotal
		: produtosSwedaForms.codigoDescricaoValorTotal;
		break;

		case "grupoProduto02": //Código - Descrição - Quantidade  - Valor total (2 linhas)
		comandos[2] = tipoImpressora == "daruma" ?  produtosDarumaForms.codigoDescricaoQuantidadeValorTotal
		: tipoImpressora == "bematech" ? produtosBematechForms.codigoDescricaoQuantidadeValorTotal
		: tipoImpressora == "epson" ? produtosEpsonForms.codigoDescricaoQuantidadeValorTotal
		: produtosSwedaForms.codigoDescricaoQuantidadeValorTotal;
		break;

		case "grupoProduto03": //Código - Descrição - Quantidade - Unidade - Valor unitário - Valor Desconto - Valor total (2 linhas)
		comandos[2] = tipoImpressora == "daruma" ?  produtosDarumaForms.codigoDescricaoQuantidadeUnidadeValorUnitarioValorTotal
		: tipoImpressora == "bematech" ? produtosBematechForms.codigoDescricaoQuantidadeUnidadeValorUnitarioValorTotal
		: tipoImpressora == "epson" ? produtosEpsonForms.codigoDescricaoQuantidadeUnidadeValorUnitarioValorTotal
		: produtosSwedaForms.codigoDescricaoQuantidadeUnidadeValorUnitarioValorTotal;
		break;

		case "grupoProduto04": //Código - Descrição - Quantidade - Unidade - Valor unitário - Valor Tributario - Valor total (2 linhas)
		comandos[2] = tipoImpressora == "daruma" ? produtosDarumaForms.codigoDescricaoQuantidadeUnidadeValorUnitarioValorDescontoValorTotal
		: tipoImpressora == "bematech" ? produtosBematechForms.codigoDescricaoQuantidadeUnidadeValorUnitarioValorDescontoValorTotal
		: tipoImpressora == "epson" ? produtosEpsonForms.codigoDescricaoQuantidadeUnidadeValorUnitarioValorDescontoValorTotal
		: produtosSwedaForms.codigoDescricaoQuantidadeUnidadeValorUnitarioValorDescontoValorTotal;
		break;

		case "grupoProduto05": //Código - Descrição - Quantidade - Unidade - Valor unitário - Valor Tributario - Valor total (2 linhas)
		comandos[2] = tipoImpressora == "daruma" ? produtosDarumaForms.codigoDescricaoQuantidadeUnidadeValorUnitarioValorTributarioValorTotal
		: tipoImpressora == "bematech" ? produtosBematechForms.codigoDescricaoQuantidadeUnidadeValorUnitarioValorTributarioValorTotal
		: tipoImpressora == "epson" ? produtosEpsonForms.codigoDescricaoQuantidadeUnidadeValorUnitarioValorTributarioValorTotal
		: produtosSwedaForms.codigoDescricaoQuantidadeUnidadeValorUnitarioValorTributarioValorTotal;
		break;

		case "grupoProduto06": //Código - Descrição - Quantidade - Unidade - Valor unitário - Valor Desconto - Valor Tributario - Valor total (2 linhas)
		comandos[2] = tipoImpressora == "daruma" ? produtosDarumaForms.codigoDescricaoQuantidadeUnidadeValorUnitarioValorDescontoValorTributarioValorTotal
		:	tipoImpressora == "bematech" ? produtosBematechForms.codigoDescricaoQuantidadeUnidadeValorUnitarioValorDescontoValorTributarioValorTotal
		: tipoImpressora == "epson" ? produtosEpsonForms.codigoDescricaoQuantidadeUnidadeValorUnitarioValorDescontoValorTributarioValorTotal
		: produtosSwedaForms.codigoDescricaoQuantidadeUnidadeValorUnitarioValorDescontoValorTributarioValorTotal;
		break;

		case "grupoProduto07":
		comandos[2] = "";
		break;
	}
}

function geraFormularioTotais(instrucao){
	switch(instrucao) {
		case "grupoTotal01":
		if(tipoFormulario == "sat"){
			comandos[3] = tipoImpressora == "daruma" ? totaisDarumaFormsSat.qtdVprodVtotFpagDtotalVpago
			:	tipoImpressora == "bematech" ? totaisBematechFormsSat.qtdVprodVtotFpagDtotalVpago
			: tipoImpressora == "epson" ? totaisEpsonForms.qtdVprodVtotFpagDtotalVpago
			: totaisSwedaForms.qtdVprodVtotFpagDtotalVpago;
		} else {
			comandos[3] = tipoImpressora == "daruma" ? totaisDarumaForms.qtdVprodVtotFpagDtotalVpago
			:	tipoImpressora == "bematech" ? totaisBematechForms.qtdVprodVtotFpagDtotalVpago
			: tipoImpressora == "epson" ? totaisEpsonForms.qtdVprodVtotFpagDtotalVpago
			: totaisSwedaForms.qtdVprodVtotFpagDtotalVpago;
		}
		break;
		case "grupoTotal02":
		if(tipoFormulario == "sat"){
			comandos[3] = tipoImpressora == "daruma" ? totaisDarumaFormsSat.qtdVtotFpagDtotalVpago
			:	tipoImpressora == "bematech" ? totaisBematechFormsSat.qtdVtotFpagDtotalVpago
			: tipoImpressora == "epson" ? totaisEpsonForms.qtdVtotFpagDtotalVpago
			: totaisSwedaForms.qtdVtotFpagDtotalVpago;
		} else {
			comandos[3] = tipoImpressora == "daruma" ? totaisDarumaForms.qtdVtotFpagDtotalVpago
			:	tipoImpressora == "bematech" ? totaisBematechForms.qtdVtotFpagDtotalVpago
			: tipoImpressora == "epson" ? totaisEpsonForms.qtdVtotFpagDtotalVpago
			: totaisSwedaForms.qtdVtotFpagDtotalVpago;
		}
		break;
		case "grupoTotal03":
		if(tipoFormulario == "sat"){
			comandos[3] = tipoImpressora == "daruma" ? totaisDarumaFormsSat.vTotFpagDtotalVpago
			:	tipoImpressora == "bematech" ? totaisBematechFormsSat.vTotFpagDtotalVpago
			: tipoImpressora == "epson" ? totaisEpsonForms.vTotFpagDtotalVpago
			: totaisSwedaForms.vTotFpagDtotalVpago;
		} else {
			comandos[3] = tipoImpressora == "daruma" ? totaisDarumaFormsSat.vTotFpagDtotalVpago
			:	tipoImpressora == "bematech" ? totaisBematechForms.vTotFpagDtotalVpago
			: tipoImpressora == "epson" ? totaisEpsonForms.vTotFpagDtotalVpago
			: totaisSwedaForms.vTotFpagDtotalVpago;
		}
		break;
		case "grupoTotal04":
		if(tipoFormulario == "sat"){
			comandos[3] = tipoImpressora == "daruma" ? totaisDarumaFormsSat.qtdVprodVtotDtotalVpago
			:	tipoImpressora == "bematech" ? totaisBematechFormsSat.qtdVprodVtotDtotalVpago
			: tipoImpressora == "epson" ? totaisEpsonForms.qtdVprodVtotDtotalVpago
			: totaisSwedaForms.qtdVprodVtotDtotalVpago;
		} else {
			comandos[3] = tipoImpressora == "daruma" ? totaisDarumaForms.qtdVprodVtotDtotalVpago
			:	tipoImpressora == "bematech" ? totaisBematechForms.qtdVprodVtotDtotalVpago
			: tipoImpressora == "epson" ? totaisEpsonForms.qtdVprodVtotDtotalVpago
			: totaisSwedaForms.qtdVprodVtotDtotalVpago;
		}
		break;
		case "grupoTotal05":
		comandos[3] = "{[drawnLine]}{[lineBreaks]}";
		break;
	}
}

function geraFormularioDadosAdic(instrucao){
	switch (instrucao) {
		case "adicCentral01":
		if(tipoFormulario == "sat"){
			comandos[4] = dadosAdicCentralSat.semAdicCentral;
		} else {

		}
		break;

		case "adicCentral02":
		if(tipoFormulario == "sat"){
			comandos[4] = dadosAdicCentralSat.comAdicCentral;
		}else {
			comandos[4] = dadosAdicCentral.comAdicCentral;
		}

		break;
	}
}

function geraFormularioFiscal(instrucao){
	switch (instrucao) {
		case "coo01": //Com COO
		if(tipoFormulario == "sat"){
			comandos[5] = tipoImpressora == "daruma" ? fiscalFormsSat.comCOO
			: tipoImpressora == "bematech" ? fiscalFormsSat.comCOO
			: fiscalFormsSat.comCOO;
		} else {
			comandos[5] = tipoImpressora == "daruma" ? fiscalDarumaForms.comCOODaruma
			: tipoImpressora == "bematech" ? fiscalBematechForms.comCOOBema
			: fiscalEpsonForms.comCOOEpson;
		}
		break;

		case "coo02":
		if(tipoFormulario == "sat"){
			comandos[5] = tipoImpressora == "daruma" ? fiscalFormsSat.semCOO
			: tipoImpressora == "bematech" ? fiscalFormsSat.semCOO
			: fiscalFormsSat.semCOO;
		} else {
			comandos[5] = tipoImpressora == "daruma" ? fiscalDarumaForms.semCOODaruma
			: tipoImpressora == "bematech" ? fiscalBematechForms.semCOOBema
			: fiscalEpsonForms.semCOOEpson;
		}
		break;
	}
}

function geraFormularioRodape(instrucao){
	switch(instrucao){
		case "grupoRodape01": //Não exibir
		comandos[7] = "";
		break;

		case "grupoRodape02": //Exibir
		if(tipoFormulario == "sat"){
			comandos[7] = rodapeFormsSat.rodape;
		} else {
			comandos[7] = rodapeForms.rodape;
		}
		break;

		case "grupoAdicRodape01": // Não exibir dados adicionais rodapé
		if(tipoFormulario == "sat"){
			comandos[8] = dadosAdicRodapeSat.semDadosAdicRodape;
		} else {
			comandos[8] = dadosAdicRodapeForms.semDadosAdicRodape;
		}
		break;

		case "grupoAdicRodape02": // Exibir dados adicionais rodapé
		if(tipoFormulario == "sat"){
			comandos[8] = dadosAdicRodapeSat.dadosAdicRodape;
		} else {
			comandos[8] = dadosAdicRodapeForms.dadosAdicRodape;
		}
		break;
	}
}

function geraFormularioConsumidor(instrucao){
	switch( instrucao ) {
		case "grupoConsumidor01": //Não exibir
		comandos[6] = "";
		break;

		case "grupoConsumidor02": //Exibir
		if(tipoFormulario == "nfce"){
			comandos[6] = consumidorForms.consumidor;
		} else {
			if(tipoCabecalho == "central"){
				comandos[0] = tipoImpressora == "daruma" ? logFormsSat.logoCentralDaruma
				: tipoImpressora == "bematech" ? logFormsSat.logoCentralBematechConsumidor
				: tipoImpressora == "epson" ? logFormsSat.logoCentralEpson
				: logFormsSat.logoCentralSweda;
			} else {
				comandos[0] = tipoImpressora == "daruma" ? logFormsSat.logoEsquerdaDaruma
				: tipoImpressora == "bematech" ? logFormsSat.logoEsquerdaBematech
				: tipoImpressora == "epson" ? logFormsSat.logoEsquerdaEpson
				: logFormsSat.logoEsquerdaSweda
			}
		}
		break;
	}
}

function showTipoFormulario(){
	if(tipoFormulario == "nfce"){
		document.getElementById('previewDanfe').innerHTML = "<img src='../formTools/assets/images/danfe2.jpg'>";
	} else {
		document.getElementById('previewDanfe').innerHTML = "<img src='../formTools/assets/images/SAT.jpg'>";
	}
}

function showPreview( instrucao ){
	switch( instrucao ) {
		// GRUPO CABECALHO
		case "grupoLogo01": // Logo centralizado
		if(tipoForm == "cancelamento"){
			document.getElementById('preview01').innerHTML = "<img src='../formTools/assets/images/cabecalhos/central.jpg'>";
			document.getElementById('previewDanfe').innerHTML = "<img src='../formTools/assets/images/satCancelamento.jpg'>";
			document.getElementById('preview02').innerHTML = "<img src='../formTools/assets/images/qrCodeSatCanc.jpg'>";
		} else {
			document.getElementById('preview01').innerHTML = "<img src='../formTools/assets/images/cabecalhos/central.jpg'>";
			showTipoFormulario();
		}
		geraFormularioCabecalho(instrucao);
		break;
		case "grupoLogo02":  // Logo esquerda
		if(tipoForm == "cancelamento"){
			document.getElementById('preview01').innerHTML = "<img src='../formTools/assets/images/cabecalhos/esquerda.jpg'>";
			document.getElementById('previewDanfe').innerHTML = "<img src='../formTools/assets/images/satCancelamento.jpg'>";
			document.getElementById('preview02').innerHTML = "<img src='../formTools/assets/images/qrCodeSatCanc.jpg'>";
		}	else {
			document.getElementById('preview01').innerHTML = "<img src='../formTools/assets/images/cabecalhos/esquerda.jpg'>";
			showTipoFormulario();
		}
			geraFormularioCabecalho(instrucao);
		break;
		case "grupoLogo03": // Sem Logo
		if(tipoForm == "cancelamento"){
			document.getElementById('preview01').innerHTML = "<img src='../formTools/assets/images/cabecalhos/semLogo.jpg'>";
			document.getElementById('previewDanfe').innerHTML = "<img src='../formTools/assets/images/satCancelamento.jpg'>";
			document.getElementById('preview02').innerHTML = "<img src='../formTools/assets/images/qrCodeSatCanc.jpg'>";
		} else {
			document.getElementById('preview01').innerHTML = "<img src='../formTools/assets/images/cabecalhos/semLogo.jpg'>";
			showTipoFormulario();
			geraFormularioCabecalho(instrucao);
		}
		break;

		// GRUPO PRODUTOS
		case "grupoProduto01": //Código - Descrição - Valor total (1 linha)
		document.getElementById('preview02').innerHTML = "<img src='../formTools/assets/images/produtos/Codigo-Descricao-ValorTotal.jpg'>";
		geraFormularioProdutos(instrucao);
		break;
		case "grupoProduto02": //Código - Descrição - Quantidade  - Valor total (2 linhas)
		document.getElementById('preview02').innerHTML = "<img src='../formTools/assets/images/produtos/Codigo-Descricao-Quantidade-ValorTotal.jpg'>";
		geraFormularioProdutos(instrucao);
		break;
		case "grupoProduto03":
		document.getElementById('preview02').innerHTML = "<img src='../formTools/assets/images/produtos/Codigo-Descricao-Quantidade-Unidade-ValorUnitario-ValorTotal.jpg'>";
		geraFormularioProdutos(instrucao);
		break;
		case "grupoProduto04": //Código - Descrição - Quantidade - Unidade - Valor unitário - Valor Tribito - Valor total (2 linhas)
		document.getElementById('preview02').innerHTML = "<img src='../formTools/assets/images/produtos/Codigo-Descricao-Quantidade-Unidade-ValorUnitario-ValorDesconto-ValorTotal.jpg'>";
		geraFormularioProdutos(instrucao);
		break;
		case "grupoProduto05": //Código - Descrição - Quantidade - Unidade - Valor unitário - Valor Tribito - Valor total (2 linhas)
		document.getElementById('preview02').innerHTML = "<img src='../formTools/assets/images/produtos/Codigo-Descricao-Quantidade-Unidade-ValorUnitario-ValorTrib-ValorTotal.jpg'>";
		geraFormularioProdutos(instrucao);
		break;
		case "grupoProduto06":
		document.getElementById('preview02').innerHTML = "<img src='../formTools/assets/images/produtos/Codigo-Descricao-Quantidade-Unidade-ValorUnitario-ValorDesconto-Valor Trib-ValorTotal.jpg'>";
		geraFormularioProdutos(instrucao);
		break;

		// GRUPO TOTAIS
		case "grupoTotal01": //Qtd de itens - Vlr total produtos - Vlr total - Forma pagto - Desc total - Vlr pago
		document.getElementById('preview03').innerHTML = tipoFormulario == "sat" ? "<img src='../formTools/assets/images/totais/sat/op1.jpg'>" : "<img src='../formTools/assets/images/totais/op1.jpg'>";
		geraFormularioTotais(instrucao);
		break;
		case "grupoTotal02": //Qtd de itens - Vlr total produtos - Vlr total - Forma pagto - Vlr pago
		document.getElementById('preview03').innerHTML = tipoFormulario == "sat" ? "<img src='../formTools/assets/images/totais/sat/op2.jpg'>" : "<img src='../formTools/assets/images/totais/op2.jpg'>";
		geraFormularioTotais(instrucao);
		break;
		case "grupoTotal03":
		document.getElementById('preview03').innerHTML = tipoFormulario == "sat" ? "<img src='../formTools/assets/images/totais/sat/op3.jpg'>" : "<img src='../formTools/assets/images/totais/op3.jpg'>";
		geraFormularioTotais(instrucao);
		break;
		case "grupoTotal04":
		document.getElementById('preview03').innerHTML = tipoFormulario == "sat" ? "<img src='../formTools/assets/images/totais/sat/op4.jpg'>" : "<img src='../formTools/assets/images/totais/op4.jpg'>";
		geraFormularioTotais(instrucao);
		break;
		case "grupoTotal05": //Não exibir "nota ecologica"
		document.getElementById('preview03').innerHTML = "";
		geraFormularioTotais(instrucao);
		break;

		// GRUPOS COO
		case "coo01": //Com COO
		if(tipoFormulario == "sat"){
			document.getElementById('preview05').innerHTML = "<img src='../formTools/assets/images/comCOOSat.jpg'>";
			geraFormularioFiscal(instrucao);
		} else {
			document.getElementById('preview05').innerHTML = "<img src='../formTools/assets/images/comCOO.jpg'>";
			geraFormularioFiscal(instrucao);
		}
		break;
		case "coo02": //Sem COO
		if(tipoFormulario == "sat"){
			document.getElementById('preview05').innerHTML = "<img src='../formTools/assets/images/semCOOSat.jpg'>";
			geraFormularioFiscal(instrucao);
		} else {
			document.getElementById('preview05').innerHTML = "<img src='../formTools/assets/images/semCOO.jpg'>";
			geraFormularioFiscal(instrucao);
		}
		break;

		// GRUPOS CONSUMIDOR
		case "grupoConsumidor01": //Não exibir
		if(tipoFormulario == "sat"){
			document.getElementById('preview06').innerHTML = "";
			document.getElementById('previewDanfe').innerHTML = "<img src='../formTools/assets/images/SAT.jpg'>";
		} else {
			document.getElementById('preview06').innerHTML = "";
		}
		geraFormularioConsumidor(instrucao);
		break;
		case "grupoConsumidor02": //Exibir
		if(tipoFormulario == "sat"){
			document.getElementById('preview06').innerHTML = "";
			document.getElementById('previewDanfe').innerHTML = "<img src='../formTools/assets/images/satConsumidor.jpg'>";
		} else {
			document.getElementById('preview06').innerHTML = "<img src='../formTools/assets/images/consumidor.jpg'>";
		}
		geraFormularioConsumidor(instrucao);
		break;

		// GRUPO DADOS ADICIONAIS CENTRAL
		case "adicCentral01": //Não exibir
		document.getElementById('preview04').innerHTML = "";
		if(tipoFormulario == "sat"){
			document.getElementById('preview04').innerHTML = "<img src='../formTools/assets/images/consumidorSat.jpg'>";
			geraFormularioDadosAdic(instrucao);
		} else {
			geraFormularioTotais(instrucao);
		}
		break;
		case "adicCentral02": //Exibir
		if(tipoFormulario == "sat"){
			document.getElementById('preview04').innerHTML = "<img src='../formTools/assets/images/dadosCentraisSat.jpg'>";
		} else {
			document.getElementById('preview04').innerHTML = "<img src='../formTools/assets/images/dadosCentrais.jpg'>";
		}
		geraFormularioDadosAdic(instrucao);
		break;

		// GRUPO RODAPÉ
		case "grupoRodape01": //Não exibir
		document.getElementById('preview07').innerHTML = "";
		geraFormularioRodape(instrucao);
		break;
		case "grupoRodape02": //Exibir
		if(tipoFormulario == "sat"){
			document.getElementById('preview07').innerHTML = "<img src='../formTools/assets/images/qrCodeSat.jpg'>";
			geraFormularioRodape(instrucao);
		} else {
			document.getElementById('preview07').innerHTML = "<img src='../formTools/assets/images/qrCode.jpg'>";
			geraFormularioRodape(instrucao);
		}
		break;

		// GRUPO DADOS ADICIONAIS RODAPÉ
		case "grupoAdicRodape01": //Não exibir
		document.getElementById('preview08').innerHTML = "";
		geraFormularioRodape(instrucao);
		break;
		case "grupoAdicRodape02": //Exibir
		document.getElementById('preview08').innerHTML = "<img src='../formTools/assets/images/dadosRodape.jpg'>";
		geraFormularioRodape(instrucao);
		break;

	}
}

function habilitarEdicao(){
	$('#cabecalhopicker').prop('disabled', false);
	$('#cabecalhopicker').selectpicker('refresh');
	$('#produtopicker').prop('disabled', false);
	$('#produtopicker').selectpicker('refresh');
	$('#totaispicker').prop('disabled', false);
	$('#totaispicker').selectpicker('refresh');
	$('#fiscalpicker').prop('disabled', false);
	$('#fiscalpicker').selectpicker('refresh');
	$('#consumidorpicker').prop('disabled', false);
	$('#consumidorpicker').selectpicker('refresh');
	$('#rodapepicker').prop('disabled', false);
	$('#rodapepicker').selectpicker('refresh');
	$('#adiccentralhopicker').prop('disabled', false);
	$('#adiccentralhopicker').selectpicker('refresh');
	$('#adicrodapepicker').prop('disabled', false);
	$('#adicrodapepicker').selectpicker('refresh');
}

function habilitarCancelamento(){

	$('#cabecalhopicker').prop('disabled', false);
	$('#cabecalhopicker').selectpicker('deselectAll');
	$('#cabecalhopicker').selectpicker('refresh');
	$('#produtopicker').prop('disabled', true);
	$('#produtopicker').selectpicker('deselectAll');
	$('#produtopicker').selectpicker('refresh');
	$('#totaispicker').prop('disabled', true);
	$('#totaispicker').selectpicker('deselectAll');
	$('#totaispicker').selectpicker('refresh');
	$('#fiscalpicker').prop('disabled', true);
	$('#fiscalpicker').selectpicker('deselectAll');
	$('#fiscalpicker').selectpicker('refresh');
	$('#consumidorpicker').prop('disabled', true);
	$('#consumidorpicker').selectpicker('deselectAll');
	$('#consumidorpicker').selectpicker('refresh');
	$('#rodapepicker').prop('disabled', true);
	$('#rodapepicker').selectpicker('deselectAll');
	$('#rodapepicker').selectpicker('refresh');
	$('#adiccentralhopicker').prop('disabled', true);
	$('#adiccentralhopicker').selectpicker('deselectAll');
	$('#adiccentralhopicker').selectpicker('refresh');
	$('#adicrodapepicker').prop('disabled', true);
	$('#adicrodapepicker').selectpicker('deselectAll');
	$('#adicrodapepicker').selectpicker('refresh');
	document.getElementById('previewDanfe').innerHTML = "";
	document.getElementById('preview01').innerHTML = "";
	document.getElementById('preview02').innerHTML = "";
	document.getElementById('preview03').innerHTML = "";
	document.getElementById('preview04').innerHTML = "";
	document.getElementById('preview05').innerHTML = "";
	document.getElementById('preview06').innerHTML = "";
}


function resetaEdicaoTipoForm(){
	comandos = [];
	$('#cabecalhopicker').prop('disabled', true);

	$('#impressorapicker').selectpicker('deselectAll');
	$('#impressorapicker').selectpicker('refresh');
	$('#tipopicker').prop('disabled', true);
	$('#tipopicker').selectpicker('deselectAll');

	$('#cabecalhopicker').prop('disabled', true);
	$('#cabecalhopicker').selectpicker('deselectAll');
	$('#cabecalhopicker').selectpicker('refresh');
	$('#produtopicker').prop('disabled', true);
	$('#produtopicker').selectpicker('deselectAll');
	$('#produtopicker').selectpicker('refresh');
	$('#totaispicker').prop('disabled', true);
	$('#totaispicker').selectpicker('deselectAll');
	$('#totaispicker').selectpicker('refresh');
	$('#fiscalpicker').prop('disabled', true);
	$('#fiscalpicker').selectpicker('deselectAll');
	$('#fiscalpicker').selectpicker('refresh');
	$('#consumidorpicker').prop('disabled', true);
	$('#consumidorpicker').selectpicker('deselectAll');
	$('#consumidorpicker').selectpicker('refresh');
	$('#rodapepicker').prop('disabled', true);
	$('#rodapepicker').selectpicker('deselectAll');
	$('#rodapepicker').selectpicker('refresh');
	$('#adiccentralhopicker').prop('disabled', true);
	$('#adiccentralhopicker').selectpicker('deselectAll');
	$('#adiccentralhopicker').selectpicker('refresh');
	$('#adicrodapepicker').prop('disabled', true);
	$('#adicrodapepicker').selectpicker('deselectAll');
	$('#adicrodapepicker').selectpicker('refresh');
	document.getElementById('previewDanfe').innerHTML = "";
	document.getElementById('preview01').innerHTML = "";
	document.getElementById('preview02').innerHTML = "";
	document.getElementById('preview03').innerHTML = "";
	document.getElementById('preview04').innerHTML = "";
	document.getElementById('preview05').innerHTML = "";
	document.getElementById('preview06').innerHTML = "";
}


function resetaEdicaoImpressora(){
	comandos = [];
	$('#cabecalhopicker').prop('disabled', true);

	$('#tipopicker').prop('disabled', true);
	$('#tipopicker').selectpicker('deselectAll');

	$('#cabecalhopicker').selectpicker('deselectAll');
	$('#cabecalhopicker').selectpicker('refresh');
	$('#produtopicker').prop('disabled', true);
	$('#produtopicker').selectpicker('deselectAll');
	$('#produtopicker').selectpicker('refresh');
	$('#totaispicker').prop('disabled', true);
	$('#totaispicker').selectpicker('deselectAll');
	$('#totaispicker').selectpicker('refresh');
	$('#fiscalpicker').prop('disabled', true);
	$('#fiscalpicker').selectpicker('deselectAll');
	$('#fiscalpicker').selectpicker('refresh');
	$('#consumidorpicker').prop('disabled', true);
	$('#consumidorpicker').selectpicker('deselectAll');
	$('#consumidorpicker').selectpicker('refresh');
	$('#rodapepicker').prop('disabled', true);
	$('#rodapepicker').selectpicker('deselectAll');
	$('#rodapepicker').selectpicker('refresh');
	$('#adiccentralhopicker').prop('disabled', true);
	$('#adiccentralhopicker').selectpicker('deselectAll');
	$('#adiccentralhopicker').selectpicker('refresh');
	$('#adicrodapepicker').prop('disabled', true);
	$('#adicrodapepicker').selectpicker('deselectAll');
	$('#adicrodapepicker').selectpicker('refresh');
	document.getElementById('previewDanfe').innerHTML = "";
	document.getElementById('preview01').innerHTML = "";
	document.getElementById('preview02').innerHTML = "";
	document.getElementById('preview03').innerHTML = "";
	document.getElementById('preview04').innerHTML = "";
	document.getElementById('preview05').innerHTML = "";
	document.getElementById('preview06').innerHTML = "";
}

function resetaEdicaoTipo(){
	comandos = [];
	$('#cabecalhopicker').prop('disabled', true);

	$('#cabecalhopicker').selectpicker('deselectAll');
	$('#cabecalhopicker').selectpicker('refresh');
	$('#produtopicker').prop('disabled', true);
	$('#produtopicker').selectpicker('deselectAll');
	$('#produtopicker').selectpicker('refresh');
	$('#totaispicker').prop('disabled', true);
	$('#totaispicker').selectpicker('deselectAll');
	$('#totaispicker').selectpicker('refresh');
	$('#fiscalpicker').prop('disabled', true);
	$('#fiscalpicker').selectpicker('deselectAll');
	$('#fiscalpicker').selectpicker('refresh');
	$('#consumidorpicker').prop('disabled', true);
	$('#consumidorpicker').selectpicker('deselectAll');
	$('#consumidorpicker').selectpicker('refresh');
	$('#rodapepicker').prop('disabled', true);
	$('#rodapepicker').selectpicker('deselectAll');
	$('#rodapepicker').selectpicker('refresh');
	$('#adiccentralhopicker').prop('disabled', true);
	$('#adiccentralhopicker').selectpicker('deselectAll');
	$('#adiccentralhopicker').selectpicker('refresh');
	$('#adicrodapepicker').prop('disabled', true);
	$('#adicrodapepicker').selectpicker('deselectAll');
	$('#adicrodapepicker').selectpicker('refresh');
	document.getElementById('previewDanfe').innerHTML = "";
	document.getElementById('preview01').innerHTML = "";
	document.getElementById('preview02').innerHTML = "";
	document.getElementById('preview03').innerHTML = "";
	document.getElementById('preview04').innerHTML = "";
	document.getElementById('preview05').innerHTML = "";
	document.getElementById('preview06').innerHTML = "";
}



function resetForm(){

}


//Selecionar o tipo do formulário
$('select[name=formPicker]').on('change', function(){
	tipoForm =  ($(this).val());
	resetaEdicaoTipoForm();
	$('#impressorapicker').prop('disabled', false);
	$('#impressorapicker').selectpicker('refresh');
	if(tipoForm != "cancelamento"){
		$('#tipopicker').selectpicker('show');
	} else {
		$('#tipopicker').selectpicker('hide');
	}
});



//Selecionar o tipo da impressora
$('select[name=impressoraPicker]').on('change', function(){
	if(tipoForm == "cancelamento"){
		habilitarCancelamento();
		tipoImpressora = ($(this).val());
	} else {
		tipoImpressora = ($(this).val());
		resetaEdicaoImpressora();
		$('#tipopicker').prop('disabled', false);
		$('#tipopicker').selectpicker('deselectAll');
		$('#tipopicker').selectpicker('refresh');

	}
});

//Selecionar o tipo de impressão
$('select[name=tipoPicker]').on('change', function(){
	tipoFormulario = ($(this).val());
	resetaEdicaoTipo();
	if(!firstTime){
		showTipoFormulario();
	}
	if(tipoFormulario == "nfce"){
		comandos[1] = outrasForms.nfce;
	} else {
		comandos[1] = outrasForms.sat;
	}
	firstTime = false;
	habilitarEdicao();
});

//Função chamada toda vez que uma combobox relacionada ao layout é usada
$('select[name=picker]').on('change', function(){
	// alert('A opção selecionada mudou!\nO novo valor é: ' + $(this).val());
	showPreview (($(this).val()));
});

//Função chamada ao clicar no botão "gerar formulário"
$('#buttonGeraForm').on('click', function(event) {
	event.preventDefault();
	GravaArquivo();
	// alert(comandos);
});

//????
function closeAlert(){
	$(".alert").fadeTo(4000, 1000).slideUp(1000, function(){
		$(".alert").alert('close');
	});
}

$(window).load(function() {
	$(".loader").delay(300).fadeOut();
	$(".animationload").delay(600).fadeOut("slow");
});
